Summary: 	Advanced, elegant jukebox style music player
Summary(de):	Fortgeschrittener, eleganter Musikplayer im Jukebox Stil
Name:		quodlibet
Version:	3.9.1
Release: 	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		http://code.google.com/p/quodlibet/
Source:         https://bitbucket.org/lazka/quodlibet-files/raw/default/releases/%{name}-%{version}.tar.xz
BuildRequires:	ImageMagick
BuildRequires:	pygtk2.0-devel
BuildRequires:	pyvorbis
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gstreamer1.0-python
BuildRequires:	mutagen
BuildRequires:	python-dbus
BuildRequires:	python-feedparser
Requires:	gtk+3.0
Requires:	pygtk2.0
Requires:	python-ctypes
Requires:	pyvorbis
Requires:	gstreamer1.0-python
Requires:	python-feedparser
Requires:	mutagen
Requires:   vorbisgain
Requires:   python-gpod
Requires:   python-CDDB
Requires:	python-dbus
Requires:	python-feedparser
Requires:	python-gobject3
Requires:	python-futures
Requires:   python-faulthandler
Requires:   python-cairo
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Obsoletes:  %name < %version

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD. 

%description -l de
Quod Libet ist ein auf GTK+ basierender Audioplayer, der in Python geschrieben ist.
Er ist mit der Idee erstellt wurden, dass der Benutzer besser weiß, wie er seine Musik
organisiert haben möchte. Das Programm erlaubt die Erstellung von Abspiellisten anhand
regulärer Ausdrücke (eine Suche mittels regulärer Ausdrücke ist ebenfalls möglich).
Weiterhin ist möglich alle Tags anzuzeigen und zu bearbeiten.

Folgende Formate werden unterstützt:
Ogg Vorbis und MP3 standardmäßig, aber andere Formate (FLAC, Musepack,
Wavepack, MPEG-4/AAC und MOD) sind nur durch gstreamer0.10 Plugins verfügbar.

Für Quod Libet ist es einfach mit Bibliotheken mit mehreren Tausend Liedern umzugehen.
Es unterstützt alle Eigenschaften, die Sie von einem modernen Mediaplayer erwarten könne,
wie z.B. Unicode-Unterstützung, lückenlose Wiedergabe, Multimediatasten und ein OSD.

%prep
%setup -q
sed -e 's|vendor-completions|site-functions|' -i gdist/zsh_completions.py
%build
export CFLAGS="%{optflags}"

python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --prefix=%{_prefix}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioPlayer" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/%{name}
%{_bindir}/operon
%{_bindir}/exfalso
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}*.egg-info
%{_datadir}/gnome-shell/search-providers/quodlibet-search-provider.ini
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/appdata/exfalso.appdata.xml
%{_datadir}/appdata/quodlibet.appdata.xml
%{_datadir}/dbus-1/services/net.sacredchao.QuodLibet.service
%{_datadir}/zsh/site-functions/_quodlibet

%changelog
* Fri Nov 03 2017 bb2 <bb2> - 3.9.1-1pclos2017
- new version

* Tue Apr 15 2014 bb <bb> - 3.0.2-2pclos2014
- add req. python-gobject3

* Mon Apr 14 2014 pinoc <vogtpet at gmail.com> - 3.0.2-1pclos2014
- 3.0.2
- noarch
- added quodlibet plugins
